## kmahjongg 4.13.0

=== CMakeLists.txt ===
project(kmahjongg)

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
	find_package(KDEGames 4.9.0 REQUIRED)

	set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules)
	find_package(LibKMahjongg REQUIRED)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${LIBKMAHJONGG_INCLUDE_DIR} ${KDEGAMES_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QDBUS_INCLUDE_DIRS})
else(NOT COMPILING_KDEGAMES)
	set(LIBKMAHJONGG_LIBRARY kmahjongglib)
endif(NOT COMPILING_KDEGAMES)

add_subdirectory( layouts )
add_subdirectory( doc )

include_directories( ${CMAKE_SOURCE_DIR}/libkmahjongg  )


########### next target ###############

set(kmahjongg_SRCS 
   main.cpp 
   kmahjongg.cpp 
   boardwidget.cpp 
   BoardLayout.cpp 
   GameData.cpp 
   kmahjongglayoutselector.cpp 
   kmahjongglayout.cpp 
   TileSprite.cpp
   Editor.cpp
   FrameImage.cpp)

kde4_add_ui_files(kmahjongg_SRCS settings.ui gametype.ui )

kde4_add_kcfg_files(kmahjongg_SRCS prefs.kcfgc )

kde4_add_app_icon(kmahjongg_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-kmahjongg.png")
kde4_add_executable(kmahjongg ${kmahjongg_SRCS})

target_link_libraries(kmahjongg  ${KDE4_KIO_LIBS} kdegames kdegamesprivate ${LIBKMAHJONGG_LIBRARY} )

install(TARGETS kmahjongg  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kmahjongg.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kmahjongg.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kmahjonggui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kmahjongg )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

## kmahjongg 4.10.0

=== debian/changelog ===
kmahjongg (4:4.10.0-0ubuntu3) raring; urgency=low

  * Fix versioning, 4.10 should have been 4.10.0

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Feb 2013 16:22:31 +0530

kmahjongg (4:4.10.0-0ubuntu2) raring; urgency=low

  * kmahjongg-data Breaks/Replaces kmahjongg to support upgrades from
    Quantal

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Feb 2013 16:16:59 +0530

kmahjongg (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:57:31 +0000

kmahjongg (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:44:34 +0000

kmahjongg (4:4.9.97-0ubuntu3) raring; urgency=low

  * Put transitional package into section oldlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Jan 2013 14:19:47 +0000

kmahjongg (4:4.9.97-0ubuntu2) raring; urgency=low

  * Add transitional package for kdegames-mahjongg-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Jan 2013 14:01:38 +0000

kmahjongg (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:37:59 +0100

kmahjongg (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:33:32 +0000

kmahjongg (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release
  * New package kmahjongg-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:58:38 +0000

=== debian/control ===
Source: kmahjongg
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               pkg-kde-tools,
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               libkmahjongglib-dev (>= 4:4.9.90)
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: kmahjongg-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kdegames-mahjongg-data (<< 4:4.9.97-0ubuntu2), kmahjongg (<< 4:4.10.0-0ubuntu3)
Breaks: kdegames-mahjongg-data (<< 4:4.9.97-0ubuntu2), kmahjongg (<< 4:4.10.0-0ubuntu3)
Description: tilesets and backgrounds for kmahjongg
 This package contains a collection of tilesets and backgrounds for KMahjongg.
 .
 This package is part of the KDE games module.

Package: kmahjongg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kmahjongg-data (>= ${source:Version}),
 kdegames-data
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

Package: kdegames-mahjongg-data
Architecture: all
Section: oldlibs
Depends: kmahjongg-data
Description: dummy package now renamed to kmahjongg-data
 Dummy transitional package for kmahjongg-data

## kmahjongg 4.10.2

=== debian/changelog ===
kmahjongg (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:51:40 +0200

kmahjongg (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:28:44 +0000

kmahjongg (4:4.10.0-0ubuntu4) raring; urgency=low

  * kmahjongg-data Breaks/Replaces kmahjongg << 4:4.10.0-0ubuntu3~ instead
    to support backport versions

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Feb 2013 13:58:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
                pkg-kde-tools,
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                libkmahjongglib-dev (>= 4:4.9.90)
 Standards-Version: 3.9.3
 Section: games
@@ -14,8 +14,8 @@
 Package: kmahjongg-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kdegames-mahjongg-data (<< 4:4.9.97-0ubuntu2), kmahjongg (<< 4:4.10.0-0ubuntu3)
-Breaks: kdegames-mahjongg-data (<< 4:4.9.97-0ubuntu2), kmahjongg (<< 4:4.10.0-0ubuntu3)
+Replaces: kdegames-mahjongg-data (<< 4:4.9.97-0ubuntu2), kmahjongg (<< 4:4.10.0-0ubuntu3~)
+Breaks: kdegames-mahjongg-data (<< 4:4.9.97-0ubuntu2), kmahjongg (<< 4:4.10.0-0ubuntu3~)
 Description: tilesets and backgrounds for kmahjongg
  This package contains a collection of tilesets and backgrounds for KMahjongg.
  .

## kmahjongg 4.10.4

=== debian/changelog ===
kmahjongg (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:33:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
                pkg-kde-tools,
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.4),
                libkdegames-dev (>= 4:4.10.2),
                libkmahjongglib-dev (>= 4:4.9.90)
 Standards-Version: 3.9.3

## kmahjongg 4.11.2

=== debian/changelog ===
kmahjongg (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:29:32 +0100

kmahjongg (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:25:57 +0100

kmahjongg (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:20:08 +0100

kmahjongg (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:40:12 +0100

kmahjongg (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:40 +0000

kmahjongg (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:17:26 +0100

kmahjongg (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:24:06 +0100

kmahjongg (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:36:11 +0100

kmahjongg (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian
  * Replace/break kmahjongg-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:44 +0000

kmahjongg (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Apr 2013 13:03:05 +0200

kmahjongg (4:4.10.2-0ubuntu2) saucy; urgency=low

  * Rebuild without libkdegamesprivate1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 May 2013 22:40:05 +0100

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libkdegames-dev (>= 4:4.11.2),
 libkmahjongglib-dev (>= 4:4.10)
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmahjongg.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         kdegames-mahjongg-data (>= 4:4.10)
Recommends: khelpcenter4
Replaces: kmahjongg-data
Breaks: kmahjongg-data
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 4.11.3

=== debian/changelog ===
kmahjongg (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:55:02 +0000

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
+ libkdegames-dev (>= 4:4.11.3),
  libkmahjongglib-dev (>= 4:4.10)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmahjongg.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kmahjongg.git

## kmahjongg 4.12.3

=== debian/changelog ===
kmahjongg (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:40:43 +0100

kmahjongg (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:53:46 +0100

kmahjongg (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:05:33 +0000

kmahjongg (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:21:44 +0000

kmahjongg (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:13:09 +0000

kmahjongg (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:13:55 +0000

kmahjongg (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:11:15 +0100

kmahjongg (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.3),
- libkdegames-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
+ libkdegames-dev (>= 4:4.12.3),
  libkmahjongglib-dev (>= 4:4.10)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmahjongg.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kmahjongg.git

## kmahjongg 4.13.0

=== debian/changelog ===
kmahjongg (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:07:03 +0100

kmahjongg (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:30:50 +0200

kmahjongg (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:32:58 +0100

kmahjongg (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:03:01 +0000

kmahjongg (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:53:06 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.12.3),
- libkdegames-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0),
  libkmahjongglib-dev (>= 4:4.10)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/

## kmahjongg 4.13.3

=== debian/changelog ===
kmahjongg (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:30:52 +0200

kmahjongg (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:52:33 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.13.0),
- libkdegames-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ libkdegames-dev (>= 4:4.13.1),
  libkmahjongglib-dev (>= 4:4.10)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kmahjongg-([\d\.]*).tar.xz

## kmahjongg 4.14.0

=== debian/changelog ===
kmahjongg (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Aug 2014 18:46:41 +0200

kmahjongg (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 15:48:08 +0200

kmahjongg (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:02:11 +0100

kmahjongg (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 19:53:31 +0200

kmahjongg (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 12:54:49 +0200

kmahjongg (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:21 +0200

kmahjongg (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:16 +0100

kmahjongg (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:28 +0100

kmahjongg (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:07 +0100

kmahjongg (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:29:18 +0200

kmahjongg (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:45:32 +0200

kmahjongg (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 16:33:33 +0200

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               libkmahjongglib-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmahjongg.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmahjongg.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kmahjongg-([\d.]+).tar.xz

## kmahjongg 4.14.1

=== debian/changelog ===
kmahjongg (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:20:06 +0200

kmahjongg (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:13:16 +0200

kmahjongg (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:54:36 +0200

kmahjongg (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:22:30 +0200

kmahjongg (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:11:20 +0200

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libkdegames-dev (>= 4:4.14.1),
               libkmahjongglib-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmahjongg
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmahjongg.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 4.14.2

=== debian/changelog ===
kmahjongg (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:53:10 +0200

kmahjongg (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:32:51 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                libkmahjongglib-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5

## kmahjongg 14.12.3

=== debian/changelog ===
kmahjongg (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:27:17 -0700

kmahjongg (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:30:19 -0800

kmahjongg (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:08:19 +0100

kmahjongg (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:26:18 -0800

kmahjongg (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Remove X-Ubuntu entries no longer applicable.
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 13:43:31 +0000

kmahjongg (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:32:51 -0700

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkdegames-dev (>= 4:14.12.3),
               libkmahjongglib-dev (>= 4:14.11.95),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmahjongg.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmahjongg-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kmahjongg-([\d.]+).tar.xz

## kmahjongg 15.08.2

=== debian/changelog ===
kmahjongg (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:33:22 +0100

kmahjongg (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:06:57 +0100

kmahjongg (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:29:59 +0100

kmahjongg (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:33:43 +0100

kmahjongg (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * kde4 games need to depend on 14.12 series libkdegames. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:09:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.3),
-               libkmahjongglib-dev (>= 4:14.11.95),
+               libkdegames-dev,
+               libkmahjongglib-dev (>= 4:14.12),
                pkg-kde-tools (>= 0.14)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmahjongg.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmahjongg.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmahjongg-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmahjongg-([\d.]+).tar.xz

## kmahjongg 15.12.3

=== debian/changelog ===
kmahjongg (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:32:54 -0700

kmahjongg (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:51:19 +0100

kmahjongg (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:51 +0100

kmahjongg (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:41 +0200

kmahjongg (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 11:11:23 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmahjongg.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmahjongg.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmahjongg.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmahjongg.git
 
 Package: kmahjongg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

generate-icons:
	while read src dest; do \
		convert debian/tmp/$$src debian/icons/$$dest; \
	done <debian/icon-list

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmahjongg-([\d.]+).tar.xz

## kmahjongg 16.04.3

=== debian/changelog ===
kmahjongg (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * KF5 Port. 
  * Add missing depend. 
  * Add missing kf5 deps. 
  * Add missing dep to libkdegames. 
  * Clean up install files. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:28:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,25 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libkdegames-dev,
-               libkmahjongglib-dev (>= 4:14.12),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5kdegames-dev (>= 4:16.04.3~),
+               libkf5kmahjongglib-dev (>= 4:16.04.3~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmahjongg.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmahjongg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
 
 Package: kmahjongg
 Architecture: any
-Depends: kdegames-mahjongg-data (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles

## kmahjongg 16.08.1

=== debian/changelog ===
kmahjongg (4:16.08.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:10:31 +0200

kmahjongg (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Rohan Garg ]
  * Fix package depends on kdegames-mahjongg-data-kf5
  * Make sure we depend on the right frameworks package
  * Use version 3 of rules
  * Update install file

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop kde4 build deps
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:34:07 +0200

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.2.0~),
               kdoctools-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5declarative-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kmahjongglib-dev,
               libkf5newstuff-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libqt5svg5-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmahjongg.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 16.12.3

=== debian/changelog ===
kmahjongg (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:09 +0000

kmahjongg (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release (16.08.1)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:11:48 +0000

kmahjongg (4:16.04.3-0ubuntu3) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:16:37 +0200

kmahjongg (4:16.04.3-0ubuntu2) zesty; urgency=medium

  * added missing dependency to kdegames-mahjongg-data-kf5 (LP: #1634250)

 -- Lars Bischoff <lbischoff@gmx.de>  Sun, 13 Nov 2016 18:51:43 +0100

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:16.12.3~),
               libkf5kmahjongglib-dev (>= 4:16.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmahjongg

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5 (>= 4:16.04),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: khelpcenter
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.

## kmahjongg 17.04.3

=== debian/changelog ===
kmahjongg (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:16.12.3~),
-               libkf5kmahjongglib-dev (>= 4:16.12.3~),
+               libkf5kdegames-dev (>= 4:17.04.3~),
+               libkf5kmahjongglib-dev (>= 4:17.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.6.1~),
@@ -37,6 +37,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: mahjongg solitaire game
  KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
  to clear the board.  A variety of tile layouts are included, as well as an

## kmahjongg 17.12.3

=== debian/changelog ===
kmahjongg (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:21 +0000

kmahjongg (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:56 +0000

kmahjongg (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Install appstream data
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:14 +0000

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:17.04.3~),
-               libkf5kmahjongglib-dev (>= 4:17.04.3~),
+               libkf5kdegames-dev (>= 4:17.12.3~),
+               libkf5kmahjongglib-dev (>= 4:17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.6.1~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

## kmahjongg 18.04.1

=== debian/changelog ===
kmahjongg (4:18.04.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:37:32 +0800

kmahjongg (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:30:30 +0200

kmahjongg (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:56:20 +0100

kmahjongg (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879351)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kmahjongg.install, no more useful now

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 16:11:10 +0100

kmahjongg (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:41 +0000

kmahjongg (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:37:10 +0000

kmahjongg (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:37 +0000

kmahjongg (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:21 +0000

kmahjongg (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:21:30 +0000

kmahjongg (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:43 +0000

kmahjongg (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:53 +0000

kmahjongg (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:09 +0000

kmahjongg (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:20:11 +0000

kmahjongg (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:28:51 +0000

kmahjongg (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:55 +0000

kmahjongg (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:28 +0000

kmahjongg (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:58 +0000

kmahjongg (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:01 +0000

kmahjongg (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:57 +0000

kmahjongg (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:11:27 +0000

=== debian/control ===
Source: kmahjongg
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5declarative-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kmahjongglib-dev,
               libkf5newstuff-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmahjongg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmahjongg.git

Package: kmahjongg
Architecture: any
Depends: kdegames-mahjongg-data-kf5, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mahjongg solitaire game
 KMahjongg is a solitaire game where the player removes matching Mahjongg tiles
 to clear the board.  A variety of tile layouts are included, as well as an
 editor to create new layouts.
 .
 This package is part of the KDE games module.
